package com.tjzhxx.union.entity;

import java.io.Serializable;

/**
 * 描述:
 *
 * @author yhx
 * @create 2021/10/18  2:03 PM
 */
public class WelfareResponse implements Serializable {

    /**
     * id : 1034
     * wfid : 2
     * wid : 13
     * wname : 徐子翔
     * sfzid : 430402197708073018
     * telno : 13512442396
     * status : 0
     * createdate : null
     * getdate : null
     * signpicurl : null
     * wfinfo : {"id":2,"code":"wf20210928","title":"会员九月福利","disstr":"方便面","picurl":"https://app.tjzhxx.cn:1443/Uploads/welfarephoto/fb.jpg","startdate":null,"enddate":null,"status":1,"count":1000,"createdate":null,"isautosend":1}
     */

    private int id;
    private int wfid;
    private int wid;
    private String wname;
    private String sfzid;
    private String telno;
    private int status;
    private Object createdate;
    private Object getdate;
    private Object signpicurl;
    /**
     * id : 2
     * code : wf20210928
     * title : 会员九月福利
     * disstr : 方便面
     * picurl : https://app.tjzhxx.cn:1443/Uploads/welfarephoto/fb.jpg
     * startdate : null
     * enddate : null
     * status : 1
     * count : 1000
     * createdate : null
     * isautosend : 1
     */

    private WfinfoBean wfinfo;

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public int getWfid() {
        return wfid;
    }

    public void setWfid(int wfid) {
        this.wfid = wfid;
    }

    public int getWid() {
        return wid;
    }

    public void setWid(int wid) {
        this.wid = wid;
    }

    public String getWname() {
        return wname;
    }

    public void setWname(String wname) {
        this.wname = wname;
    }

    public String getSfzid() {
        return sfzid;
    }

    public void setSfzid(String sfzid) {
        this.sfzid = sfzid;
    }

    public String getTelno() {
        return telno;
    }

    public void setTelno(String telno) {
        this.telno = telno;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public Object getCreatedate() {
        return createdate;
    }

    public void setCreatedate(Object createdate) {
        this.createdate = createdate;
    }

    public Object getGetdate() {
        return getdate;
    }

    public void setGetdate(Object getdate) {
        this.getdate = getdate;
    }

    public Object getSignpicurl() {
        return signpicurl;
    }

    public void setSignpicurl(Object signpicurl) {
        this.signpicurl = signpicurl;
    }

    public WfinfoBean getWfinfo() {
        return wfinfo;
    }

    public void setWfinfo(WfinfoBean wfinfo) {
        this.wfinfo = wfinfo;
    }

    public static class WfinfoBean  implements Serializable{
        private int id;
        private String code;
        private String title;
        private String disstr;
        private String picurl;
        private Object startdate;
        private Object enddate;
        private int status;
        private int count;
        private Object createdate;
        private int isautosend;

        public int getId() {
            return id;
        }

        public void setId(int id) {
            this.id = id;
        }

        public String getCode() {
            return code;
        }

        public void setCode(String code) {
            this.code = code;
        }

        public String getTitle() {
            return title;
        }

        public void setTitle(String title) {
            this.title = title;
        }

        public String getDisstr() {
            return disstr;
        }

        public void setDisstr(String disstr) {
            this.disstr = disstr;
        }

        public String getPicurl() {
            return picurl;
        }

        public void setPicurl(String picurl) {
            this.picurl = picurl;
        }

        public Object getStartdate() {
            return startdate;
        }

        public void setStartdate(Object startdate) {
            this.startdate = startdate;
        }

        public Object getEnddate() {
            return enddate;
        }

        public void setEnddate(Object enddate) {
            this.enddate = enddate;
        }

        public int getStatus() {
            return status;
        }

        public void setStatus(int status) {
            this.status = status;
        }

        public int getCount() {
            return count;
        }

        public void setCount(int count) {
            this.count = count;
        }

        public Object getCreatedate() {
            return createdate;
        }

        public void setCreatedate(Object createdate) {
            this.createdate = createdate;
        }

        public int getIsautosend() {
            return isautosend;
        }

        public void setIsautosend(int isautosend) {
            this.isautosend = isautosend;
        }
    }
}
